## telepathy-gabble 0.1.41-0osso1

=== debian/changelog ===
telepathy-gabble (0.1.41-0osso1) unstable; urgency=low

  * New upstream release:
     - don't send accept action to the peer if the active candidate pair
        changes during a call
     - remove duplicated g_object_set which causes crash on errors from
        initiate/accept IQs in Jingle calls

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Tue, 20 Jun 2006 19:21:05 +0100

telepathy-gabble (0.1.40-0osso1) unstable; urgency=low

  * New upstream release:
     - fix looping when stupid servers don't understand subscription/etc acks
        by not sending them if nothing is changed (Fixes: NB#31640)

 -- Robert McQueen <robot101@debian.org>  Fri, 16 Jun 2006 15:06:53 +0100

telepathy-gabble (0.1.39-0osso1) unstable; urgency=low

  * New upstream release:
     - fix embarrassing leak when listing rooms (closes: #32589)
     - fix crash the 2nd time you try to connect an account that's already
        connected (closes: #32588)
     - fix totally broken MUC invites so that NewChannel signal gets emitted
        once more (closes: #32606)

 -- Robert McQueen <robot101@debian.org>  Wed, 14 Jun 2006 18:50:23 +0100

telepathy-gabble (0.1.38-0osso1) unstable; urgency=low

  * New upstream release:
    - fix off-by-one error in send error signal emission (closes: #32459)

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 12 Jun 2006 13:18:04 +0100

telepathy-gabble (0.1.37-0osso1) unstable; urgency=low

  * New upstream release:
     - fix crash on incoming call from invisible contacts (closes: #32046)

 -- Robert McQueen <robot101@debian.org>  Fri,  9 Jun 2006 12:11:33 +0100

telepathy-gabble (0.1.36-0osso1) unstable; urgency=low

  * New upstream release:
     - fixes deletion of roster entries (closes: #30917, S3)
     - report SendError and LostMessage signals when errors are encountered on
        text channels (closes: #29856, S3)
     - add callbacks only when we start connecting, avoiding crashes when we
        clear away callbacks (closes: #31643)
     - report errors joining MUC rooms (closes: #29430, S3)

 -- Robert McQueen <robot101@debian.org>  Thu,  8 Jun 2006 17:59:22 +0100

telepathy-gabble (0.1.35-0osso1) unstable; urgency=low

  * New upstream release:
     - add aliasing interface to GetInterfaces

 -- Robert McQueen <robot101@debian.org>  Fri,  2 Jun 2006 19:52:24 +0100

telepathy-gabble (0.1.34-0osso1) unstable; urgency=low

  * New upstream release:
     - make "known" list handle available via RequestHandle
     - fix crashing when disconnecting with open media streams
                                                            (closes: #31680)

 -- Robert McQueen <robot101@debian.org>  Fri,  2 Jun 2006 18:11:05 +0100

telepathy-gabble (0.1.33-0osso1) unstable; urgency=low

  * New upstream release:
     - fix mangling of MUC messages into IM channels (closes: #31408)
     - avoid reading freeing memory in presence code (closes: #31493)
     - add a 'known' list channel of all people on roster, regardless of
        subscription state (for fixing various eds-sync bugs)
     - fix aliasing request function to return errors correctly
     - make the Properties interface on Connection visible
     - get rid of "unknown property" warnings when making calls
     - fix possible NULL-pointer dereferences when closing calls, listing
        rooms or choosing a resource to call
     - don't call to negative priority resources
     - fix presence algorithm so that status is always used in preference to
        priority

 -- Robert McQueen <robot101@debian.org>  Thu,  1 Jun 2006 02:07:43 +0100

telepathy-gabble (0.1.32-0osso1) unstable; urgency=low

  * New upstream release:
     - fix double frees when IM channels close, and using unallocated
        memory to decide how much more memory to allocate
        (closes: #31227, #30316)
     - fix removal of the timeout source even after it has timed out (causes
        crashes on connect when GABBLE_PERSIST was set)

 -- Robert McQueen <robot101@debian.org>  Tue, 30 May 2006 17:18:08 +0100

telepathy-gabble (0.1.31-0osso1) unstable; urgency=low

  * New upstream release:
     - fix over-enthusiastic replacement of set_static with take...
       that actually *is* static (Closes #31049)
     - fix disco#info response logic
     - declare get_features as explicitly taking (void)
     - use g_strdiff for readability
     - make disco handler fall through in case of unknown node
     - make GabbleRosterSubscription public, and change
       _is_subscribed to _get_subscription
     - rename gabble-disco.* to disco.*
     - include version number in backtraces too
     - use VERSION from config.h instead of defining a new GABBLE_VERSION
     - add SEGV handler to attempt a backtrace print

 -- Rob Taylor <rob.taylor@collabora.co.uk>  Mon, 29 May 2006 23:03:36 +0100

telepathy-gabble (0.1.30-0osso1) unstable; urgency=low

  * New upstream release:
     - discover STUN servers from Google and make available for the VOIP
       engine
     - implement a GetHandleOwners method on the group interface, to find
       the owner of MUC handles (closes #30103)
     - pull aliases from our roster entries, and implement the aliasing
       interface based off these and <nick> entries in incoming messages. vcard
       nicknames to follow shortly (closes #25462)
     - avoid crash where badly-truncated UTF-8 can make D-Bus disconnect
       Gabble and we abort() (closes #29854)

 -- Robert McQueen <robot101@debian.org>  Thu, 25 May 2006 20:21:07 +0100

telepathy-gabble (0.1.29-0osso1) unstable; urgency=low

  * New upstream release:
   - Add new SSL errors (closes #26912).
   - Add ignore ssl error option (closes #29859).
   - Store error reason and emit state changed in disconnected callback
     (closes #29859).
   - Fix compilation of roster subscription function.
   - Use the voice resource of the initator for all incoming calls
     (closes #30217).
   - Add static qualifiers to a few roster functions.

