## telepathy-gabble 0.2.0-0osso1

=== debian/changelog ===
telepathy-gabble (0.2.0-0osso1) unstable; urgency=low

  * New upstream release:
     - patch from Andre Magalhaes to fix leak of GroupMixin private struct
     - fixes for various NULL pointer derefences (fixes: NB#33552, NB#33264)

 -- Robert McQueen <robot101@debian.org>  Fri, 21 Jul 2006 16:37:39 +0100
