=== debian/control ===
Source: telepathy-gabble
Priority: optional
Maintainer: Dmitry Rozhkov <ext-dmitry.rozhkov@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs, libdbus-glib-1-dev (>= 0.60-1osso10), libexpat1-dev, libloudmouth1-dev
Standards-Version: 3.6.0

Package: telepathy-gabble
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy Gabble
 <insert description>
