## telepathy-gabble 0.4.6-0osso1

=== debian/changelog ===
telepathy-gabble (0.4.6-0osso1) unstable; urgency=low

  * Fix obvious crash when requesting capabilities for offline contacts.
     (Fixes: NB#48085)
  * Remove streams from the UI and stream-engine's perspective when signalling
     their removal to the peer, preventing a whole class of rapid stream
     addition/removal inconsistencies. (Fixes: NB#48086)

 -- Robert McQueen <robot101@debian.org>  Wed, 22 Nov 2006 01:35:02 +0000

telepathy-gabble (0.4.5-0osso1) unstable; urgency=low

  * New version.
    - Fix crash when we attempt to call ourselves. Fixes: NB#28561.
    - Fix various race conditions in Jingle call signalling. Fixes: NB#46262.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 13 Nov 2006 00:14:30 +0000

telepathy-gabble (0.4.4-0osso1) unstable; urgency=low

  * New upstream version:
     - add tie-breaking when content-add Jingle requests cross over,
        preventing the call from failing on simultaneous camera pop-out
        (Fixes: NB#45103)
     - remove people from publish channel's local_pending when we reject
        authorisation (Fixes: NB#42397, NB#46024, NB#46183)
     - make connection callbacks robust against loudmouth calling us back even
        after we're disconnected, and fix a self-handle reference assertion
        (Fixes: NB#46513, NB#46532)
     - fix crash when cancelling the room list channel (Fixes: NB#46692)
     - add GetPresence method (Fixes: NB#46780)

 -- Robert McQueen <robot101@debian.org>  Wed,  8 Nov 2006 18:22:48 +0200

telepathy-gabble (0.4.3-0osso1.1) unstable; urgency=low

  * Fixed: NB#46266

 -- Robert McQueen <robot101@debian.org>  Thu,  2 Nov 2006 11:22:48 +0200

telepathy-gabble (0.4.3-0osso1) unstable; urgency=low

  * New upstream version:
     - don't add streams to jingle calls until they're accepted, this is a XEP
        violation (I should know, I wrote this bit!) (fixes: NB#43644)
     - implement a client-side approximation of the filtering which the gtalk
        server does if you don't turn on the google:roster extension, to
        ignore the e-mail addresses that they includes in the roster for
        some bizzare reason (fixes: NB#43102)
     - fix crash when initiating calls to offline people
        (fixes: NB#44384, NB#45210, NB#45875)
     - fix bug in handle validation which was causing us to hit assertions
        (fixes: NB#44768, NB#46021)
     - fix mangled behaviour (changing self handle when we join the channel)
        on MUC invites which was breaking invites to passworded rooms
        (fixes: NB#45851, NB#34453)
     - change message truncation to match spec (fixes: NB#40409)

 -- Robert McQueen <robot101@debian.org>  Wed,  1 Nov 2006 01:29:49 +0000

telepathy-gabble (0.4.2-0osso1) unstable; urgency=low

  * New version.
    - Fix race condition in capabilities handling. Fixes NB#43588.
    - Include blocked contacts in roster. Fixes NB#42263.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Wed, 25 Oct 2006 10:22:46 +0100

telepathy-gabble (0.4.1-0osso1) unstable; urgency=low

  * New version.
    - Fix bug in handle validation. Fixes NB#43519, NB#43693, NB#43206.
    - Allow destroying a disconnected connection by calling Disconnect() on it.
      Fixes NB#42772.
    - Fix bug in Google blocking code. Fixes NB#43870, NB#44220.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 24 Oct 2006 01:00:40 +0100

telepathy-gabble (0.4.0-0osso1) unstable; urgency=low

  * New upstream version (first release from 0.4.x stable branch):
     - fix unitialised variable wreaking havoc on capabilities discovery
        (fixes: NB#43438, NB#43520, NB#43588, NB#43546)
     - don't bother sending discovery requests to someone who claims to be
        the same gabble as us, just use our capabilities
     - also prime the capabilities cache with the google talk client's voice
        capability, so they're callable the moment they're online
     - add debugging to help with capabilities issues in the future
     - fix MUC room joining on some buggy or unusual servers

 -- Robert McQueen <robot101@debian.org>  Wed, 18 Oct 2006 19:13:47 +0100

telepathy-gabble (0.3.14-0osso1) unstable; urgency=low

  * New upstream version:
     - avoid returning 'InvalidHandle' errors when establishing channels to
        people who have no call capabilities, return 'NotAvailable' instead
     - fix handling of all MUC messages as invited (fixes: NB#42636)
     - fix crash when trying to join a MUC room (fixes: NB#41613)
     - return the correct GError when a server has no MUC support
        (fixes: NB#43390)
     - don't emit the NewChannel signal if adding the requested handle to
        a new streamed media channel fails (fixes: NB#43369)

 -- Robert McQueen <robot101@debian.org>  Mon, 16 Oct 2006 16:07:47 +0100

telepathy-gabble (0.3.13-0osso1) unstable; urgency=low

  * New upstream version:
     - fix crash calling people with no presence at all
     - fix crash on connect if the user has no vCard

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Oct 2006 16:39:02 +0100

telepathy-gabble (0.3.12-0osso1) unstable; urgency=low

  * New upstream version:
     - fixes to stream directions: automatically remove streams with no
        senders, initialise incoming streams as receive + pending local send,
        and go to bidirectional when the call is accepted
     - don't create streamed media channels with people who can't make any
        streams (fixes: NB#43298)
     - ignore hidden google roster items (fixes: NB#43102)

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Oct 2006 15:29:27 +0100

telepathy-gabble (0.3.11-0osso1) unstable; urgency=low

  * New upstream version:
     - signalling of media stream directions and changes
     - support getting aliases from contacts' vCards, and set our self alias
        in our own vCard
     - advertising own and reporting of remote contacts' capabilities
        (fixes: NB#41905)

 -- Robert McQueen <robot101@debian.org>  Wed, 11 Oct 2006 22:40:34 +0100

