=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,18 @@
 	CFLAGS += -mthumb
 endif
 
-debian/stamp-autotools-files:
+# Use parallel jobs if possible
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+	PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
+		sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
+	ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
+		PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
+			then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
+			else echo 1; fi)
+	endif
+	NJOBS := -j$(PARALLEL_JOBS)
+endif
+DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)
+
+makebuilddir/telepathy-gabble::
 	autoreconf -v --install
-	touch debian/stamp-autotools-files
