## telepathy-gabble 0.4.10-0osso1

=== debian/changelog ===
telepathy-gabble (0.4.10-0osso1) unstable; urgency=low

  * Work around mysterious Google server bug which causes us to get no
     presence if we disconnect and reconnect. (Fixes: NB#42618)
  * Fix a crash with dangling vCard callbacks when quickly
     connecting/disconnecting. (Fixes: NB#48459)
  * Fix crash if a client tries to set 0 properties. (Fixes: NB#50353)

 -- Robert McQueen <robot101@debian.org>  Mon,  5 Feb 2007 11:06:52 +0000

telepathy-gabble (0.4.9-0osso3) unstable; urgency=low

  * Fixes: NB#49889

 -- Dmitry Rozhkov <ext-dmitry.1.rozhkov@nokia.com>  Tue, 16 Jan 2007 15:11:03 +0200

telepathy-gabble (0.4.9-0osso2) unstable; urgency=low

  * Use tableteer.nokia.com namespace for IV registration.

 -- Robert McQueen <robot101@debian.org>  Tue, 12 Dec 2006 13:44:12 +0000

telepathy-gabble (0.4.9-0osso1) unstable; urgency=low

  "There's something very important I forgot to tell you... Don't cross the
   streams... It would be bad."

  * Implement the ultimate avoidance for collision of stream names, no matter
     how quickly you open and close the camera or how often opening the
     device fails. Split them into two namespaces, one for the caller, and
     one for the recipient. (Fixes: NB#45103)
  * Batch up information about rooms and emit signals less often so that the
     chat UI doesn't drown in signals and can do more UI updates at once.
     (Fixes: NB#48389)

 -- Robert McQueen <robot101@debian.org>  Tue,  5 Dec 2006 23:15:45 +0000

telepathy-gabble (0.4.8-0osso1) unstable; urgency=low

  * Explicitly create roster items before subscribing to people so that we
     clear the hidden flag on google roster items when we want to add them to
     our roster. (Fixes: NB#46283)
  * Ignore rejected google roster items, it's not about whether they rejected
     us, it's about whether we rejected them. (Fixes: NB#47831)
  * Don't assume that google roster items we've mailed an invite to are not
     valid JIDs, this is not the case when a Google Mail account is converted
     to a Google Talk account. (Fixes: NB#48391)
  * Return STATUS_CHANGE_REASON_NAME_IN_USE if we're disconnected due to
     someone with the same resource as us signing in.
  * Fix an assertion error when we encounter an error at the earliest
     phase of connection (eg name resolution).
  * Fix a few memory leaks.

 -- Robert McQueen <robot101@debian.org>  Thu, 30 Nov 2006 16:41:34 +0000

telepathy-gabble (0.4.7-0osso1) unstable; urgency=low

  * Fix a bug so that we send our alias to the server even if our vCard is
     empty, otherwise newly created IVC accounts get no alias.
     (Fixes: NB#48223)

 -- Robert McQueen <robot101@debian.org>  Thu, 23 Nov 2006 18:25:55 +0000
