## telepathy-gabble 0.4.14-0osso1

=== debian/changelog ===
telepathy-gabble (0.4.14-0osso1) unstable; urgency=low

  * Add workaround for Google instant-reject bug.

 -- Robert McQueen <robot101@debian.org>  Tue,  5 Jun 2007 19:25:52 +0300

telepathy-gabble (0.4.13-0osso1) unstable; urgency=low

  * Disable keepalive messages. (Fixes: NB#57757)

 -- Jussi Laako <jussi.laako@nokia.com>  Wed, 23 May 2007 15:45:20 +0300

telepathy-gabble (0.4.12-0osso1) unstable; urgency=low

  * Add hack to map between H283-1998 and NH263-N800 codec names when talking
     to old versions of Gabble. (Fixes: NB#57663)

 -- Robert McQueen <robot101@debian.org>  Tue, 22 May 2007 20:38:53 +0100

telepathy-gabble (0.4.11-0osso1) unstable; urgency=low

  * Fix obscure crash when we get <presence type="unavailable"> from someone
     we're not subscribed to.

 -- Robert McQueen <robot101@debian.org>  Wed,  7 Feb 2007 18:40:04 +0000
