=== debian/control ===
--- 
+++ 
@@ -8,5 +8,14 @@
 Section: misc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Telepathy Gabble
- <insert description>
+Description: Telepathy Gabble Connection Manager
+ Telepathy Gabble Connection Manager
+
+Package: telepathy-gabble-dbg
+Section: misc
+Architecture: any
+Depends: telepathy-gabble (= ${Source-Version})
+Description: Telepathy Gabble Connection Manager. Debug symbols
+ Telepathy Gabble Connection Manager
+ .
+ This package contains debug symbols for telepathy-gabble
