=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 DEB_CONFIGURE_PREFIX=/usr
 DEB_CONFIGURE_SYSCONFDIR=/etc
+DEB_DH_STRIP_ARGS=--dbg-package=telepathy-gabble
 
 
 # Use soft-float and thumb mode if it enabled.
