## telepathy-gabble 0.6.0-0osso2

=== debian/changelog ===
telepathy-gabble (0.6.0-0osso2) unstable; urgency=low

  * GabbleVCardManager: destroy pending edits if GET request for
    our VCard failed. Fixes: NB#72280

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Sat,  6 Oct 2007 18:44:38 +0200

telepathy-gabble (0.6.0-0osso1) unstable; urgency=low

  * version 0.6.0
  * Remove false comment from configure.ac
  * test-vcard-set-and-get: ignore the AvatarUpdated signal with empty
    token caused by the initial vCard fetch

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 28 Sep 2007 12:05:18 +0300

telepathy-gabble (0.5.14-0osso7) unstable; urgency=low

  * Work around Google bug where offline chat messages are sent as notices.
    Fixes: NB#71236.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 27 Sep 2007 16:41:53 +0100

telepathy-gabble (0.5.14-0osso6) unstable; urgency=low

  * Properly include time.h in presence.c.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 27 Sep 2007 13:50:32 +0300

telepathy-gabble (0.5.14-0osso5) unstable; urgency=low

  * version bupmed up to announce bugfixes. Fixes: NB#66384, NB#51156

 -- Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>  Thu, 27 Sep 2007 12:06:36 +0300

telepathy-gabble (0.5.14-0osso4) unstable; urgency=low

  * Fix build failure in previous release.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Wed, 26 Sep 2007 08:27:45 +0100

telepathy-gabble (0.5.14-0osso3) unstable; urgency=low

  * Don't create new text channels if we get a message with no body.
    Fixes: NB#70821.
  * Don't crash if GetKnownAvatarTokens request is made before we get our
    avatar from the server. Fixes: NB#70951.
  * Don't emit spurious CapabilitiesChanged signals. Fixes: NB#69671.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Tue, 25 Sep 2007 17:36:58 +0100

telepathy-gabble (0.5.14-0osso2) unstable; urgency=low

  * Better prioritization of resources to use in voip calls. Fixes: NB#68053
  * Removed invalid assertion on vcard set timeouts. Fixes: NB#70490
  * Misc cleanups.

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 21 Sep 2007 16:50:49 +0200

telepathy-gabble (0.5.14-0osso1) unstable; urgency=low

  * New upstream version.
   - Fixes setting alias/avatar.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 07 Sep 2007 19:37:02 +0100

telepathy-gabble (0.5.13-0osso1) unstable; urgency=low

  * New upstream version.
    - Implement new RequestKnownAvatarTokens method. Fixes: NB#62866.
    - Don't fetch vCards for MUC contacts. Fixes: NB#66384.
    - Implement better MUC subject changing API. Fixes: NB#51156.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Thu, 30 Aug 2007 16:40:52 +0100

telepathy-gabble (0.5.12-0osso7) unstable; urgency=low

  * Merge workaround for Google roster weirdness. Fixes: NB#66314.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 24 Aug 2007 15:39:27 +0100

telepathy-gabble (0.5.12-0osso6) unstable; urgency=low

  * Merge fix for CapabilitiesChanged signal not being emitted.
    Fixes: NB#62560.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 24 Aug 2007 15:18:36 +0100

telepathy-gabble (0.5.12-0osso5) unstable; urgency=low

  * Pull fix for wrong media stream type from head. Fixes: NB#65552.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Mon, 13 Aug 2007 15:55:58 +0100

telepathy-gabble (0.5.12-0osso4) unstable; urgency=low

  * Apply patch from upstream darcs to fix invalid GArray access.

 -- Dafydd Harries <dafydd.harries@collabora.co.uk>  Fri, 29 Jun 2007 11:44:55 +0100

telepathy-gabble (0.5.12-0osso3) unstable; urgency=low

  * Apply patch from upstream darcs to fix crash when calling SetStatus with
     no optional arguments. (Fixes: NB#61234)

 -- Robert McQueen <robot101@debian.org>  Wed, 20 Jun 2007 13:35:20 +0100

telepathy-gabble (0.5.12-0osso2) unstable; urgency=low

  * The real 0.5.12 upstream release.
  * Use new simple presence mixin from telepathy-glib 0.5.13.
  * Add "make check-twisted" Python test suite.
  * Add support for HANDLE_OWNERS_NOT_AVAILABLE.
  * Add support for new RequestAvatars method and AvatarReceived signal.
  * Don't fail on avatars with missing <TYPE> nodes.
  * Add "handle-name" to room listing GotRooms dict.
  * Make the StopListing method on room list channels actually work.
  * Store any known nickname on newly created roster entries.
  * Tighten up handling of incoming <message> errors, otherwise we can think
     the remote user has our nickname.
  * Don't create new channels when we receive incoming <gone> typing
     notifications.
  * Add workaround for Google roster oddity which makes people bounce off
     the subscribe remote pending list even if they approve us.
  * Add hack for advertising H263-N800 as H263-1998 when talking to older
     N800s.

 -- Robert McQueen <robot101@debian.org>  Sun, 17 Jun 2007 18:03:20 +0100

telepathy-gabble (0.5.12-0osso1) unstable; urgency=low

  * Disable whitespace keepalives as new loudmouth does proper TCP keepalives

 -- Jussi Laako <jussi.laako@nokia.com>  Thu, 24 May 2007 13:10:26 +0300

telepathy-gabble (0.5.11-0osso1) unstable; urgency=low

  * New upstream release incorporates resource parsing fixes.
  * Fix up handling of Google Talk SSLTCP relay candidates.
  * Fixes a few leaks.

 -- Robert McQueen <robot101@debian.org>  Wed,  2 May 2007 18:23:58 +0100

telepathy-gabble (0.5.10-0osso2) unstable; urgency=low

  * Fix resource parsing, de-breaking MUC and VoIP. (From upstream Darcs)

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Thu, 26 Apr 2007 13:05:38 +0100

telepathy-gabble (0.5.10-0osso1) unstable; urgency=low

  * Use external copy of telepathy-glib.

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Fri, 20 Apr 2007 17:00:35 +0100

telepathy-gabble (0.5.9-0osso1) unstable; urgency=low

  * Update to spec 0.15.2.

 -- Robert McQueen <robot101@debian.org>  Fri, 13 Apr 2007 15:40:33 +0100

telepathy-gabble (0.5.8-0osso1) unstable; urgency=low

  * Update to spec 0.15.1 for updated DTMF APIs.

