=== debian/control ===
Source: telepathy-gabble
Priority: optional
Maintainer: Dmitry Rozhkov <dmitry.1.rozhkov@nokia.com>
Build-Depends: debhelper (>= 4.0.0), cdbs, libdbus-glib-1-dev (>= 0.72-1osso10), libexpat1-dev, libloudmouth1-dev, xsltproc, python, libtelepathy-glib-dev
Standards-Version: 3.6.0

Package: telepathy-gabble
Section: comm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Telepathy Gabble Connection Manager
 Telepathy Gabble Connection Manager

Package: telepathy-gabble-dbg
Section: devel
Architecture: any
Depends: telepathy-gabble (= ${Source-Version})
Description: Telepathy Gabble Connection Manager. Debug symbols
 Telepathy Gabble Connection Manager
 .
 This package contains debug symbols for telepathy-gabble
