## telepathy-gabble 0.6.1-0osso1

=== debian/changelog ===
telepathy-gabble (0.6.1-0osso1) unstable; urgency=low

  * Synced with upstream 0.6.1 release

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu,  8 Nov 2007 13:50:24 +0100

telepathy-gabble (0.6.0-0osso3) unstable; urgency=low

  * gabble_media_session_error(): access temporary array instead of
    just cleared private member. Fixes: NB#74113
  * conn-avatars.c: properly propagate error in update_own_avatar_sha1
  * debug.c: enable request pipeline debug flag
  * RequestPipeline, VCardManager: increased pipeline bandwidth,
    timeouts and cache entry ttl. Fixes: NB#68395

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Tue,  6 Nov 2007 12:39:11 +0100
