## telepathy-gabble 0.6.2-0osso2

=== debian/changelog ===
telepathy-gabble (0.6.2-0osso2) unstable; urgency=low

  * Be more strict in GetKnownAvatarTokens handlers
  * When blocking GTalk contacts, discard their presence. Fixes: NB#80488
  * Don't emit NewStreamHandler signals multiple times if Ready is called
    multiple times on the SessionHandler.
  * Don't set default port value in .manager files

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Thu, 20 Mar 2008 03:18:52 +0100

telepathy-gabble (0.6.2-0osso1) unstable; urgency=low

  * Support for SASL/SRV/TLS features in XMPP. Fixes: NB#79067

 -- Senko Rasic <senko.rasic@collabora.co.uk>  Fri, 15 Feb 2008 00:04:37 +0100
