=== debian/control ===
--- 
+++ 
@@ -9,13 +9,19 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Telepathy Gabble Connection Manager
- Telepathy Gabble Connection Manager
+ Gabble is a Jabber/XMPP connection manager for the Telepathy framework, 
+ currently supporting single user chats, multi user chats and voice/video 
+ calls. Install this package to use Telepathy instant messaging clients 
+ with Jabber/XMPP servers, including Google Talk.
 
 Package: telepathy-gabble-dbg
 Section: devel
 Architecture: any
 Depends: telepathy-gabble (= ${Source-Version})
 Description: Telepathy Gabble Connection Manager. Debug symbols
- Telepathy Gabble Connection Manager
+ Gabble is a Jabber/XMPP connection manager for the Telepathy framework, 
+ currently supporting single user chats, multi user chats and voice/video 
+ calls. Install this package to use Telepathy instant messaging clients 
+ with Jabber/XMPP servers, including Google Talk.
  .
  This package contains debug symbols for telepathy-gabble
