=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,16 @@
 DEB_CONFIGURE_SYSCONFDIR=/etc
 DEB_DH_STRIP_ARGS=--dbg-package=telepathy-gabble
 
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr
 
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
+endif
+
+ifneq (,$(findstring coverage,$(DEB_BUILD_OPTIONS)))
+	SBOX_USE_CCACHE := no
+	DEB_CONFIGURE_EXTRA_FLAGS += --enable-coverage
 endif
 
 # Use parallel jobs if possible
@@ -29,4 +35,4 @@
 DEB_MAKE_ENVVARS := MAKEFLAGS=$(NJOBS)
 
 makebuilddir/telepathy-gabble::
-	autoreconf -v --install
+	sh ./autogen.sh $(cdbs_configure_flags) $(DEB_CONFIGURE_EXTRA_FLAGS) $(DEB_CONFIGURE_USER_FLAGS)
