## telepathy-gabble 0.8.13-0maemo3+0m5+thumb0

=== debian/changelog ===
telepathy-gabble (0.8.13-0maemo3+0m5+thumb0) fremantle; urgency=low

  * Thumb2 compiled

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 11 Nov 2013 20:48:33 +0200
