=== debian/control ===
--- 
+++ 
@@ -15,8 +15,10 @@
                libdbus-glib-1-dev (>= 0.78),
                libglib2.0-dev (>= 2.16),
                libloudmouth1-dev (>= 1.3.2),
+               mce-dev,
                libtelepathy-glib-dev (>= 0.7.37),
                libsoup2.4-dev,
+               libsqlite3-dev,
                uuid-dev,
                python2.5,
                xsltproc,
@@ -32,7 +34,7 @@
 Package: telepathy-gabble
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
 Provides: telepathy-connection-manager
 Description: Jabber/XMPP connection manager
  Gabble is a Jabber/XMPP connection manager for the Telepathy framework,
