=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
 Package: telepathy-gabble
 Section: net
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kernel-feature-errata-430973-workaround [armel]
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: telepathy-connection-manager
 Description: Jabber/XMPP connection manager
  Gabble is a Jabber/XMPP connection manager for the Telepathy framework,
