=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-gabble/telepathy-gabble-(.*)\.tar\.gz \
debian \
uupdate
